Bug 207881 - Konquerer is unable to connect to https sites on x86_64 systems.
Konquerer is unable to connect to https sites on x86_64 systems.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdelibs (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-25 00:12 EDT by Wade Mealing
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:41:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add /lib64 to the search path at compile time (441 bytes, patch)
2006-09-25 00:15 EDT, Wade Mealing
no flags Details | Diff

  None (edit)
Description Wade Mealing 2006-09-25 00:12:36 EDT
Description of problem:

Konquere is unable to connect to https sites.  I've done a little hunting, and I
believe that this is because /lib64 is not in the paths to search for the ssl
libraries.

Version-Release number of selected component (if applicable):

kdelibs-3.1.3-6.10

How reproducible:

Every time.

Steps to Reproduce:
1 Install RHEL3 U8 with kde and konquerer on a x86_64 system.
2 Start konquerer, visit https://www.redhat.com
3 wait for the page load to fail.
  
Actual results:

Note that it is unable to open any https site, not just www.redhat.com

Expected results:

Konquerer should load the https page and the secure site should be shown.

Additional info:

There is a work around, but its nasty and not user friendly.  This bug does not
appear in RHEL4 GA or above.

Start Konquerer

Visit https://www.redhat.com/ , ( confirm failure )
Settings -> Configure Konquerer
Choose Crypto in the list
Choose "OpenSSL" tab.
Enter the default path as /lib64/
Choose test ( confirm failure )
Choose OK.
Visit https://www.redhat.com/ , ( confirm failure )
Close konquerer.

Log out.
Log in.

Settings -> Configure Konquerer
Choose Crypto in the list
Choose "OpenSSL" tab.
Enter the default path as /lib64/
Choose test ( confirm success )
Choose OK.
Visit https://www.redhat.com/ , ( confirm success )

There are two bugs show in the above test, the first is that it does not
defaultly search /lib64/ for the openssl libs within
kdelibs-3.5.3/kio/kssl/kopenssl.cc ,  The second is that the session does not
seem to update the ssl search path on runtime.

This is about the first.

Attached is a patch that I think will fix the problem, however I have not been
able to get KDE to compile correctly on the many strange machines that I own.
Comment 1 Wade Mealing 2006-09-25 00:15:57 EDT
Created attachment 137028 [details]
add /lib64 to the search path at compile time

This adds /lib64 as a default search path at compile time.  This is untested,
but I believe it should work.
Comment 2 RHEL Product and Program Management 2007-10-19 14:41:05 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.